Bug 1005274 - (CVE-2016-6911) VUL-0: CVE-2016-6911: php5, php7, php53, gd: Check for out-of-bound read in dynamicGetbuf()
(CVE-2016-6911)
VUL-0: CVE-2016-6911: php5, php7, php53, gd: Check for out-of-bound read in d...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/173613/
CVSSv2:SUSE:CVE-2016-6911:6.8:(AV:N/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-18 09:48 UTC by Johannes Segitz
Modified: 2017-09-20 06:38 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Patch for CVE-2016-6911 (10.75 KB, patch)
2016-10-18 09:48 UTC, Johannes Segitz
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Segitz 2016-10-18 09:48:53 UTC
Created attachment 697849 [details]
Patch for CVE-2016-6911

CVE-2016-6911

dynamicGetbuf() doesn't check for out-of-bound reads and 
returns wrong return code.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2016-6911
http://people.canonical.com/~ubuntu-security/cve/2016/CVE-2016-6911.html
Comment 1 Swamp Workflow Management 2016-10-18 22:00:54 UTC
bugbot adjusting priority
Comment 2 Petr Gajdos 2016-10-20 09:31:55 UTC
All versions of gd are affected, 11/gd and 10sp3/gd does not have tiff coder though.
Comment 4 Bernhard Wiedemann 2016-10-20 10:03:09 UTC
This is an autogenerated message for OBS integration:
This bug (1005274) was mentioned in
https://build.opensuse.org/request/show/436506 13.2 / gd
Comment 5 Petr Gajdos 2016-10-20 11:29:36 UTC
All versions of php-gd need the gd_io_dp.c checks. 

Packages submitted.
Comment 6 Bernhard Wiedemann 2016-10-20 12:01:26 UTC
This is an autogenerated message for OBS integration:
This bug (1005274) was mentioned in
https://build.opensuse.org/request/show/436512 13.2 / php5
Comment 8 Swamp Workflow Management 2016-10-24 12:13:39 UTC
openSUSE-SU-2016:2606-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1001900,1004924,1005274
CVE References: CVE-2016-6911,CVE-2016-7568,CVE-2016-8670
Sources used:
openSUSE 13.2 (src):    php5-5.6.1-83.1
Comment 9 Swamp Workflow Management 2016-10-28 16:14:06 UTC
SUSE-SU-2016:2668-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1001900,1004924,1005274
CVE References: CVE-2016-6911,CVE-2016-7568,CVE-2016-8670
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP1 (src):    gd-2.1.0-17.1
SUSE Linux Enterprise Software Development Kit 12-SP1 (src):    gd-2.1.0-17.1
SUSE Linux Enterprise Server 12-SP1 (src):    gd-2.1.0-17.1
SUSE Linux Enterprise Desktop 12-SP1 (src):    gd-2.1.0-17.1
Comment 10 Swamp Workflow Management 2016-10-28 16:21:43 UTC
SUSE-SU-2016:2670-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1004924,1005274
CVE References: CVE-2016-6911,CVE-2016-8670
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    gd-2.0.36.RC1-52.25.1
SUSE Linux Enterprise Server 11-SP4 (src):    gd-2.0.36.RC1-52.25.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    gd-2.0.36.RC1-52.25.1
Comment 11 Swamp Workflow Management 2016-10-31 11:08:21 UTC
SUSE-SU-2016:2681-1: An update that fixes two vulnerabilities is now available.

Category: security (moderate)
Bug References: 1004924,1005274
CVE References: CVE-2016-6911,CVE-2016-8670
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    php53-5.3.17-87.1
SUSE Linux Enterprise Server 11-SP4 (src):    php53-5.3.17-87.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    php53-5.3.17-87.1
Comment 12 Swamp Workflow Management 2016-10-31 11:10:04 UTC
SUSE-SU-2016:2683-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1001900,1004924,1005274
CVE References: CVE-2016-6911,CVE-2016-7568,CVE-2016-8670
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP1 (src):    php7-7.0.7-20.1
SUSE Linux Enterprise Module for Web Scripting 12 (src):    php7-7.0.7-20.1
Comment 13 Marcus Meissner 2016-10-31 16:01:53 UTC
did not find a php bug / reproducer after a bit of google.

QA: NO REPRODUCER
Comment 14 Swamp Workflow Management 2016-11-01 15:32:53 UTC
SUSE-SU-2016:2683-2: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1001900,1004924,1005274
CVE References: CVE-2016-6911,CVE-2016-7568,CVE-2016-8670
Sources used:
SUSE Linux Enterprise Module for Web Scripting 12 (src):    php7-7.0.7-20.1
Comment 15 Swamp Workflow Management 2016-11-02 07:46:27 UTC
An update workflow for this issue was started.
This issue was rated as moderate.
Please submit fixed packages until 2016-11-16.
When done, reassign the bug to security-team@suse.de.
https://swamp.suse.de/webswamp/wf/63166
Comment 16 Swamp Workflow Management 2016-11-02 07:49:52 UTC
An update workflow for this issue was started.
This issue was rated as moderate.
Please submit fixed packages until 2016-11-16.
When done, reassign the bug to security-team@suse.de.
https://swamp.suse.de/webswamp/wf/63168
Comment 18 Swamp Workflow Management 2016-11-09 21:10:32 UTC
SUSE-SU-2016:2766-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1001900,1004924,1005274
CVE References: CVE-2016-6911,CVE-2016-7568,CVE-2016-8670
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP1 (src):    php5-5.5.14-83.1
SUSE Linux Enterprise Module for Web Scripting 12 (src):    php5-5.5.14-83.1
Comment 19 Swamp Workflow Management 2016-11-10 16:21:54 UTC
openSUSE-SU-2016:2772-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1001900,1004924,1005274
CVE References: CVE-2016-6911,CVE-2016-7568,CVE-2016-8670
Sources used:
openSUSE Leap 42.1 (src):    gd-2.1.0-13.1
Comment 20 Sebastian Krahmer 2016-11-14 13:02:17 UTC
released
Comment 21 Swamp Workflow Management 2016-11-17 19:07:17 UTC
openSUSE-SU-2016:2831-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1001900,1004924,1005274
CVE References: CVE-2016-6911,CVE-2016-7568,CVE-2016-8670
Sources used:
openSUSE Leap 42.1 (src):    php5-5.5.14-65.2
Comment 22 Swamp Workflow Management 2016-11-17 19:12:20 UTC
openSUSE-SU-2016:2837-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1001900,1004924,1005274
CVE References: CVE-2016-6911,CVE-2016-7568,CVE-2016-8670
Sources used:
openSUSE Leap 42.2 (src):    php5-5.5.14-65.1
Comment 25 Swamp Workflow Management 2017-01-30 13:08:34 UTC
An update workflow for this issue was started.
This issue was rated as moderate.
Please submit fixed packages until 2017-02-13.
When done, reassign the bug to security-team@suse.de.
https://swamp.suse.de/webswamp/wf/63366
Comment 26 Swamp Workflow Management 2017-01-30 13:27:39 UTC
An update workflow for this issue was started.
This issue was rated as moderate.
Please submit fixed packages until 2017-02-13.
When done, reassign the bug to security-team@suse.de.
https://swamp.suse.de/webswamp/wf/63367